org.keycloak.models.authorization.infinispan.entities

## Class CachedScope

- java.lang.Object
- - org.keycloak.models.authorization.infinispan.entities.CachedScope

- All Implemented Interfaces:
    Scope

      public class CachedScope
      extends Object
      implements Scope

  Author:
    Pedro Igor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CachedScope(Scope scope)`
    `CachedScope(String id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getIconUri()` Returns an icon `URI` for this scope.
    `String` | `getId()` Returns the unique identifier for this instance.
    `String` | `getName()` Returns the name of this scope.
    `ResourceServer` | `getResourceServer()` Returns the `ResourceServer` instance to where this scope belongs to.
    `String` | `getResourceServerId()`
    `void` | `setIconUri(String iconUri)` Sets an icon `URI` for this scope.
    `void` | `setName(String name)` Sets a name for this scope.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CachedScope

          public CachedScope(Scope scope)

    - #### CachedScope

          public CachedScope(String id)

  - ### Method Detail

    - #### getId

          public String getId()

      Description copied from interface: `Scope`
      Returns the unique identifier for this instance.
      Specified by:
        `getId` in interface `Scope`
      Returns:
        the unique identifier for this instance

    - #### getName

          public String getName()

      Description copied from interface: `Scope`
      Returns the name of this scope.
      Specified by:
        `getName` in interface `Scope`
      Returns:
        the name of this scope

    - #### setName

          public void setName(String name)

      Description copied from interface: `Scope`
      Sets a name for this scope. The name must be unique.
      Specified by:
        `setName` in interface `Scope`
      Parameters:
        `name` - the name of this scope

    - #### getIconUri

          public String getIconUri()

      Description copied from interface: `Scope`
      Returns an icon `URI` for this scope.
      Specified by:
        `getIconUri` in interface `Scope`
      Returns:
        a uri for an icon

    - #### setIconUri

          public void setIconUri(String iconUri)

      Description copied from interface: `Scope`
      Sets an icon `URI` for this scope.
      Specified by:
        `setIconUri` in interface `Scope`

    - #### getResourceServer

          public ResourceServer getResourceServer()

      Description copied from interface: `Scope`
      Returns the `ResourceServer` instance to where this scope belongs to.
      Specified by:
        `getResourceServer` in interface `Scope`
      Returns:

    - #### getResourceServerId

          public String getResourceServerId()

Copyright © 2016 JBoss by Red Hat. All rights reserved.